Legado v1
Listar transações PIX
Liste transações PIX para uma integração legado v1.
GET
/
pix
/
v1
/
transactions
List PIX Transactions
curl --request GET \
--url https://api.pagou.ai/pix/v1/transactions \
--header 'apiKey: <api-key>'import requests
url = "https://api.pagou.ai/pix/v1/transactions"
headers = {"apiKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apiKey: '<api-key>'}};
fetch('https://api.pagou.ai/pix/v1/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"limit": 10,
"total": 2,
"items": [
{
"id": "trn_1f3f2d2299d74944a6a028f278f2f0e7",
"status": "PAID",
"value": 9417,
"type": "PIX",
"createdAt": "2026-02-06T19:50:49.926Z"
},
{
"id": "trn_7e4b62f078d64ad9a35fef3ea5e1704b",
"status": "WAITING_PAYMENT",
"value": 4310,
"type": "PIX",
"createdAt": "2026-02-06T19:52:13.295Z"
}
]
}{
"type": "https://api.pagou.ai/problems/validation-error",
"title": "Validation Error",
"status": 422,
"detail": "The request contains invalid data.",
"instance": "/pix/v1/transactions",
"errors": [
{
"field": "transaction.value",
"message": "Must be greater than zero.",
"code": "invalid_type"
}
]
}{
"type": "https://api.pagou.ai/problems/unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Authentication failed for GET /pix/v1/transactions.",
"instance": "/pix/v1/transactions"
}Autorizações
Parâmetros de consulta
Intervalo obrigatório:
1 <= x <= 90Intervalo obrigatório:
x >= 1Intervalo obrigatório:
1 <= x <= 50Opções disponíveis:
ASC, DESC ⌘I
List PIX Transactions

